diff options
author | William Harrington <kb0iic@berzerkula.org> | 2021-04-15 08:32:23 -0500 |
---|---|---|
committer | William Harrington <kb0iic@berzerkula.org> | 2021-04-15 08:32:23 -0500 |
commit | c9cb04e59113a3afb1cc9fde17dc8bb27a0a315c (patch) | |
tree | 205f4d9047a96559c2ff4f79901c457432367d2e /chapter7 | |
parent | 786adf80589621bedd25488f08ba4e1dc6831282 (diff) |
Create fail and success functions and remove trailing white spaces at ends of lines.
Diffstat (limited to 'chapter7')
-rw-r--r-- | chapter7/backup.sh | 4 | ||||
-rw-r--r-- | chapter7/cleanup.sh | 2 |
2 files changed, 3 insertions, 3 deletions
diff --git a/chapter7/backup.sh b/chapter7/backup.sh index 9418775..b903897 100644 --- a/chapter7/backup.sh +++ b/chapter7/backup.sh @@ -15,12 +15,12 @@ else spinner "$pid" "${SPINNER}" retval=$? if [ "${retval}" -ne 0 ]; then - printf "%b" "${IRED}FAILED!${RST}\n" + fail "FAILED!" exit "${retval}" else # shellcheck disable=SC2024 sudo chown -v "${USER}":"$(id -g)" "${HOME}"/"${file}" >"${LFS}"/sources/log/chapter7/backup.log 2>&1 - printf "%b" "${IGRN}OK${RST}\n" + success "OK" fi popd > /dev/null || exit 1 diff --git a/chapter7/cleanup.sh b/chapter7/cleanup.sh index 53ad4d4..3e4dfa3 100644 --- a/chapter7/cleanup.sh +++ b/chapter7/cleanup.sh @@ -21,6 +21,6 @@ else sudo strip --strip-unneeded "${LFS}"/tools/bin/* || true } >"${LFS}"/sources/log/chapter7/cleanup.log 2>&1 - printf "%b" "${IGRN}OK${RST}\n" + success "OK" sudo touch "${LFS}"/sources/chapter7/cleanup >/dev/null 2>&1 fi |